Bug Hunting Session
Bug 126959 - Resize handles in tables (impress)
Summary: Resize handles in tables (impress)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: iOS (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other iOS
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-16 07:28 UTC by Nicolas Christener
Modified: 2019-10-07 08:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Christener 2019-08-16 07:28:17 UTC
Description:
A user should be able to resize rows/columns of a table with the finger in an impress presentation on iOS.

This could be implemented in the same way as it is done for writer, see #122529



Steps to Reproduce:
1. Create a table in am impress presentation with the iOS app
2. Try to resize columns/rows of the table

Actual Results:
There is no (easy) way to resize columns/rows with a finger.

Expected Results:
There should be a way to resize columns/rows with a finger.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Aron Budea 2019-08-16 13:24:52 UTC
Confirmed. This may be harder to do, tables in Impress are rather untamed.
Comment 2 Commit Notification 2019-08-30 01:59:56 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0285492a45e9cc19c26e14dcdf297bcc491da4d2%5E%21

tdf#126959 impress table border resize handle support

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-09-30 11:25:20 UTC
A polite ping to Tomaž Vajngerl:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 4 Nicolas Christener 2019-09-30 11:27:17 UTC
The handles are visible in 4.1.61 (61) but it seems they don't work yet.

IMHO it's not (completely) fixed yet.
Comment 5 Tor Lillqvist 2019-10-07 08:06:04 UTC
Is apparently fixed now (in the app version 4.1.64).